> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/categories/{categoryId}/settings
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/categories/{categoryId}/settings:
    get:
      tags:
        - Workspace Category Settings
      summary: Get Settings
      operationId: WorkspaceCategorySettingsController_getSettings_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: categoryId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceCategorySettingsResponseDto'
components:
  schemas:
    WorkspaceCategorySettingsResponseDto:
      type: object
      properties:
        revision:
          type: number
        categoryCode:
          type: string
          nullable: true
        matrix:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceCategorySettingMatrixEntryDto'
        productTypeCodes:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceProductTypeCodeDto'
      required:
        - revision
        - categoryCode
        - matrix
        - productTypeCodes
    WorkspaceCategorySettingMatrixEntryDto:
      type: object
      properties:
        categoryId:
          type: string
        productTypeId:
          type: string
        itemColumnId:
          type: string
        inPool:
          type: boolean
        defaultActive:
          type: boolean
        isActive:
          type: boolean
        locked:
          type: boolean
        origin:
          type: string
          enum:
            - default
            - workspace-override
      required:
        - categoryId
        - productTypeId
        - itemColumnId
        - inPool
        - defaultActive
        - isActive
        - locked
        - origin
    WorkspaceProductTypeCodeDto:
      type: object
      properties:
        productTypeId:
          type: string
        code:
          type: string
          nullable: true
      required:
        - productTypeId
        - code

````